Bug 972857 - dnf does not update opencv package
dnf does not update opencv package
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
18
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 12:23 EDT by Franklin Adams
Modified: 2013-06-25 00:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 04:04:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Franklin Adams 2013-06-10 12:23:09 EDT
Description of problem: DNF failed to recognize that there was an update to opencv, while both KDE's Apper as well as yum had no issue seeing it, and yum had no problem installing it. I did not attempt to install through Apper. 


Version-Release number of selected component (if applicable): dnf 0.2.23 and opencv 2.4.5

How reproducible: Uncertain. Until new packages are released I have no means of testing dnf against yum and Apper further. The behavior I'm reporting was reproducible despite a Kernel Sync, Package Sync, and repeated attempts to manually update the package using the command "dnf upgrade opencv". 


Steps to Reproduce:
1.Open a Console as a regular user or log in under console mode
2.Elevate to super-user using su command and "-" switch, enter password
3.Attempt to run dnf using "dnf update" or "dnf check-update"
4.dnf will return a message stating "Nothing to do"
5.Open Apper or run "yum update"
6. Apper and yum will see the update, install it and install any dependencies

Actual results:
dnf neither sees nor installs the update

Expected results:
dnf should install the updated package

Additional info:
Again, both Apper and Yum handled this with no issue, dnf however didn't recognize the update existing at all.
Comment 1 Ales Kozumplik 2013-06-18 04:08:02 EDT
Hi, can you paste the output of

'yum -assumeno update'

in this case?

Also does the problem still persist now when over a week has passed and DNF has newer metadata available?

Thanks.
Comment 2 Franklin Adams 2013-06-22 16:26:35 EDT
Ales,

In the next comment ill past the output of that command or the benefit of clarity.  


I have no idea if the problem persisted, as I wound up forcing yum to update it, even pointing dnf at the opencv package and telling it to update just that package (using dnf update opencv) would return the "nothing to do" message. When I did the same command with yum (yum update opencv).

Also, my apologies for the late reply, I was in the field training all week. I tend to be much faster.
Comment 3 Franklin Adams 2013-06-22 16:34:44 EDT
frank@Prometheus ~$ yum -assumeno update
Loaded plugins: fastestmirror, langpacks, presto, refresh-packagekit
Usage: yum [options] COMMAND

List of Commands:

check          Check for problems in the rpmdb
check-update   Check for available package updates
clean          Remove cached data
deplist        List a package's dependencies
distribution-synchronization Synchronize installed packages to the latest available versions
downgrade      downgrade a package
erase          Remove a package or packages from your system
groups         Display, or use, the groups information
help           Display a helpful usage message
history        Display, or use, the transaction history
info           Display details about a package or group of packages
install        Install a package or packages on your system
langinstall    Install appropriate language packs for a language
langlist       List installed languages
langremove     Remove installed language packs for a language
list           List a package or groups of packages
load-transaction load a saved transaction from filename
makecache      Generate the metadata cache
provides       Find what package provides the given value
reinstall      reinstall a package
repolist       Display the configured software repositories
search         Search package details for the given string
shell          Run an interactive yum shell
update         Update a package or packages on your system
upgrade        Update packages taking obsoletes into account
version        Display a version for the machine and/or available repos.


Command line error: no such option: -a

(This is the output from bash using my regular user account with no process elevation with sudo or su. I can always do it with sudo, elevate to root using su, or even fully log on to root if you need me to)
Comment 4 Ales Kozumplik 2013-06-24 03:56:55 EDT
Ah, sorry, the command should be, as root:

yum --assumeno update

Can you please run it again?
Comment 5 Ales Kozumplik 2013-06-24 04:04:26 EDT
Scratch comment 4. Now I see that you say in comment 2 that you already forced the update through Yum. That means it would be hard to debug this now and your DNF version is too old to support the solver debugging anyway. I am going to close this now but if you happen to run into the same bug again, hopefully with DNF version > 0.3.5, please reopen and attach the output of:

dnf --best --debugsolver upgrade opencv

Thank you.
Comment 6 Franklin Adams 2013-06-25 00:53:08 EDT
Yes Sir, no problem at all. 

I plan on staying Fedora 18 for about a month or so (give or take) after the Fedora 19 release on 2 July on my bare metal while I test fc19 on a VM to make sure a certain piece of hardware I have to use works with no issues. That being said, if I do run across something like this again on this version I'll be sure to reopen it. 

V/R (Very respectfully, in case you've never seen that before)

Franklin Adams

Note You need to log in before you can comment on or make changes to this bug.